OGRE: Ogre::LodOutputProvider Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::LodOutputProvider Class Reference

`#include <OgreLodOutputProvider.h>`

## Public Member Functions
| LodOutputProvider (bool useCompression=false)
virtual | ~LodOutputProvider ()
virtual void | bakeLodLevel (LodData *data, int lodIndex)
virtual void | bakeManualLodLevel (LodData *data, String &manualMeshName, int lodIndex)
virtual void | finalize (LodData *data)
virtual void | inject ()
virtual void | lineChanged (LodData *data, LodData::Line *tri)
virtual void | lineRemoved (LodData *data, LodData::Line *tri)
virtual void | prepare (LodData *data)
virtual void | triangleChanged (LodData *data, LodData::Triangle *tri)
virtual void | triangleRemoved (LodData *data, LodData::Triangle *tri)

## Constructor & Destructor Documentation

## ◆ LodOutputProvider()

Ogre::LodOutputProvider::LodOutputProvider | ( | bool | useCompression = false | ) |

## ◆ ~LodOutputProvider()

virtual Ogre::LodOutputProvider::~LodOutputProvider | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ prepare()

virtual void Ogre::LodOutputProvider::prepare | ( | LodData * | data | ) |
| virtual

## ◆ finalize()

virtual void Ogre::LodOutputProvider::finalize | ( | LodData * | data | ) |
| virtual

## ◆ bakeManualLodLevel()

virtual void Ogre::LodOutputProvider::bakeManualLodLevel | ( | LodData * | data,
|  | String & | manualMeshName,
|  | int | lodIndex )
| virtual

## ◆ bakeLodLevel()

virtual void Ogre::LodOutputProvider::bakeLodLevel | ( | LodData * | data,
|  | int | lodIndex )
| virtual

## ◆ triangleRemoved()

virtual void Ogre::LodOutputProvider::triangleRemoved | ( | LodData * | data,
|  | LodData::Triangle * | tri )
| virtual

## ◆ triangleChanged()

virtual void Ogre::LodOutputProvider::triangleChanged | ( | LodData * | data,
|  | LodData::Triangle * | tri )
| virtual

## ◆ lineRemoved()

virtual void Ogre::LodOutputProvider::lineRemoved | ( | LodData * | data,
|  | LodData::Line * | tri )
| virtual

## ◆ lineChanged()

virtual void Ogre::LodOutputProvider::lineChanged | ( | LodData * | data,
|  | LodData::Line * | tri )
| virtual

## ◆ inject()

virtual void Ogre::LodOutputProvider::inject | ( |  | ) |
| inlinevirtual

The documentation for this class was generated from the following file:

- OgreLodOutputProvider.h